summaryrefslogtreecommitdiff
path: root/opie-zkbapplet
diff options
context:
space:
mode:
authorChris Lord <chris@openedhand.com>2004-09-20 08:54:07 +0000
committerChris Lord <chris@openedhand.com>2004-09-20 08:54:07 +0000
commitd1b28b5f11893edfdfd0d244d0ee2df91e4d29f0 (patch)
tree7939302f855df472be9da13f501c6d41b0940ec7 /opie-zkbapplet
parent10f2844601a164c98b9b17259989ac8ee98ab273 (diff)
Fix opie-zkbapplet install, courtesy of CoreDump.
BKrev: 414e9aafr65kDhChf-ysVzFmgH5zpQ
Diffstat (limited to 'opie-zkbapplet')
-rw-r--r--opie-zkbapplet/opie-zkbapplet_1.1.6.oe37
1 files changed, 37 insertions, 0 deletions
diff --git a/opie-zkbapplet/opie-zkbapplet_1.1.6.oe b/opie-zkbapplet/opie-zkbapplet_1.1.6.oe
index e69de29bb2..f13320c685 100644
--- a/opie-zkbapplet/opie-zkbapplet_1.1.6.oe
+++ b/opie-zkbapplet/opie-zkbapplet_1.1.6.oe
@@ -0,0 +1,37 @@
+DESCRIPTION = "KeyZ Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+MAINTAINER = "Team Opie <opie@handhelds.org>"
+LICENSE = "GPL"
+
+APPNAME = "zkbapplet"
+RDEPENDS = "opie-pics"
+PR = "r1"
+
+TAG = "${@'v' + oe.data.getVar('PV',d,1).replace('.', '_')}"
+SRC_URI = "cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/noncore/applets/zkbapplet \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/share \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/pics \
+ cvs://anoncvs:anoncvs@cvs.handhelds.org/cvs;tag=${TAG};module=opie/apps"
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+test -f $OPIEDIR/share/zkb/zkb.xml || cp $OPIEDIR/share/zkb/zkb.xml.sample $OPIEDIR/share/zkb/zkb.xml
+}
+
+do_install() {
+ install -d ${D}${palmtopdir}/pics/
+ install -d ${D}${palmtopdir}/share/zkb/
+ install -m 0644 ${WORKDIR}/share/zkb/*xml* ${D}${palmtopdir}/share/zkb/
+ install -m 0644 ${WORKDIR}/share/zkb/zkb.xml.sample ${D}${palmtopdir}/share/zkb/zkb.xml
+ install -d ${D}${palmtopdir}/bin
+ install -m 0755 ${S}/keyz-cfg ${D}${palmtopdir}/bin/
+ install -d ${D}${palmtopdir}/apps/Settings
+ install -m 0644 ${WORKDIR}/apps/Settings/keyz-cfg.desktop ${D}${palmtopdir}/apps/Settings/
+}
+